%define upstream_name	 Bot-BasicBot
%define upstream_version 0.93

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A simple IRC bot base class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TOMI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IRC::Utils)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::IRC) >= 6.900.0
BuildRequires: perl(Text::Wrap)
BuildArch:  noarch

%description
A basic bot system written in Perl, designed to make it easy to do simple bots,
optionally forking longer processes (like searches) concurrently in the
background.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# some backup files leaked, removing them
#find . -name "._*" | xargs rm

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests try to connect to internet
#%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Bot/*
%{_mandir}/*/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.930.0-4.mga9
+ Revision: 1830119
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.930.0-3.mga8
+ Revision: 1503478
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.930.0-2.mga7
+ Revision: 1281846
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 0.930.0-1.mga7
+ Revision: 1204911
- update to 0.93

* Mon Jul 24 2017 sander85 <sander85> 0.910.0-1.mga7
+ Revision: 1129880
- update to 0.91

* Sat Jun 18 2016 pterjan <pterjan> 0.890.0-7.mga6
+ Revision: 1022776
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.890.0-6.mga6
+ Revision: 940742
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.890.0-5.mga5
+ Revision: 745057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.890.0-4.mga5
+ Revision: 683609
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.890.0-3.mga4
+ Revision: 509378
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.890.0-2.mga3
+ Revision: 363371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.890.0-1.mga2
+ Revision: 172079
- update to 0.89
+ jquelin <jquelin>
- update to 0.88

* Fri Jun 17 2011 jquelin <jquelin> 0.870.0-1.mga2
+ Revision: 108816
- update to 0.87

* Mon Apr 04 2011 jquelin <jquelin> 0.860.0-1.mga1
+ Revision: 80315
- update to 0.86

* Mon Jan 24 2011 jquelin <jquelin> 0.840.0-1.mga1
+ Revision: 37396
- mageia rebuild
- imported package perl-Bot-BasicBot


* Tue Nov 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.840.0-1mdv2011.0
+ Revision: 598066
- update to new version 0.84

* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.830.0-1mdv2011.0
+ Revision: 597213
- update to 0.83

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.810.0-1mdv2011.0
+ Revision: 393093
- update to 0.81
- using %%perl_convert_version
- sanitizing spec file

* Fri Jan 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2009.1
+ Revision: 335552
- update to new version 0.81

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.70-6mdv2009.0
+ Revision: 255469
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.70-4mdv2008.1
+ Revision: 136664
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.70-4mdv2007.0
+ Revision: 108605
- really fix version
- fix release
- rebuild

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdv2007.0
+ Revision: 53709
- 0.7
- Import perl-Bot-BasicBot

* Tue Oct 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.65-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.65-2mdk
- Buildrequires fix

* Tue Aug 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.65-1mdk
- 0.65

* Wed May 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-1mdk
- 0.61

* Fri Apr 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.6-1mdk
- 0.6

* Sun Feb 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.5-1mdk
- Initial MDK release.

